# xoxys.logrotate

[![Build Status](https://ci.rknet.org/api/badges/ansible/xoxys.logrotate/status.svg)](https://ci.rknet.org/repos/ansible/xoxys.logrotate)
[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg?label=license)](https://gitea.rknet.org/ansible/xoxys.logrotate/src/branch/main/LICENSE)

Setup logrotate.

## Table of content

- [Requirements](#requirements)
- [Default Variables](#default-variables)
  - [logrotate_app_config](#logrotate_app_config)
  - [logrotate_app_config_extra](#logrotate_app_config_extra)
  - [logrotate_config](#logrotate_config)
  - [logrotate_include_dir](#logrotate_include_dir)
  - [logrotate_options](#logrotate_options)
  - [logrotate_package](#logrotate_package)
- [Dependencies](#dependencies)
- [License](#license)
- [Author](#author)

---

## Requirements

- Minimum Ansible version: `2.10`

## Default Variables

### logrotate_app_config

#### Default value

```YAML
logrotate_app_config: []
```

### logrotate_app_config_extra

#### Default value

```YAML
logrotate_app_config_extra: []
```

### logrotate_config

#### Default value

```YAML
logrotate_config:
  - name: syslog
    definitions:
      - logs:
          - /var/log/cron
          - /var/log/maillog
          - /var/log/messages
          - /var/log/secure
          - /var/log/spooler
        options:
          - missingok
          - sharedscripts
        postrotate:
          - /usr/bin/systemctl kill -s HUP rsyslog.service >/dev/null 2>&1 || true
  - name: chrony
    definitions:
      - logs:
          - /var/log/chrony/*.log
        options:
          - missingok
          - nocreate
          - sharedscripts
        postrotate:
          - /usr/bin/chronyc cyclelogs > /dev/null 2>&1 || true
  - name: wtmp
    definitions:
      - logs:
          - /var/log/wtmp
        options:
          - missingok
          - monthly
          - create 0664 root utmp
          - minsize 1M
          - rotate 1
  - name: btmp
    definitions:
      - logs:
          - /var/log/btmp
        options:
          - missingok
          - monthly
          - create 0600 root utmp
          - rotate 1
```

### logrotate_include_dir

#### Default value

```YAML
logrotate_include_dir: /etc/logrotate.d
```

### logrotate_options

#### Default value

```YAML
logrotate_options:
  - weekly
  - rotate 4
  - create
  - dateext
```

### logrotate_package

#### Default value

```YAML
logrotate_package: logrotate
```

## Dependencies

None.

## License

MIT

## Author

[Robert Kaussow](https://gitea.rknet.org/xoxys)
